Skip to main content
PATCH
Update or suspend a sub-account

Authorizations

Authorization
string
header
required

Your API key, sent as Authorization: Bearer <key>.

Path Parameters

id
string<uuid>
required

The sub-account id.

Body

application/json
name
string
Required string length: 1 - 128
externalId
string | null
Required string length: 1 - 128
monthlyCreditLimit
number | null

Null removes the cap.

Required range: 0.01 <= x <= 20000000Must be a multiple of 0.01
concurrencyLimit
integer | null

Null removes the cap.

Required range: 1 <= x <= 100000
status
enum<string>
Available options:
active,
suspended

Response

The updated sub-account.

success
boolean
required
data
object
required